@import 'src/assets/scss/core/functions';
@import "src/assets/scss/core/breakpoints";
@import "src/assets/scss/core/mixins";
@import "src/assets/scss/settings";

.switcher {
  position: relative;
  margin-bottom: 25px;
  display: flex;
  justify-content: flex-end;

  &__item {

    &:first-child {
      margin-right: 15px;
    }
  }

  &__label {
    position: relative;
    display: block;
    font-family: var(--font-text);
    font-size: 14px;
    line-height: 16px;
    color: var(--gray-color);
    cursor: pointer;

    display: flex;
    align-items: center;

    &::before {
      content: '';
      margin-right: 5px;
      display: inline-block;
      width: 15px;
      height: 15px;
      border: 1px solid rgba($gray-color, 0.3);
      border-radius: 50%;
    }

    &::after {
      content: '';
      position: absolute;
      top: 4px;
      left: 4px;
      width: 9px;
      height: 9px;
      display: none;
      background-color: rgba($gray-color, 0.3);
      border-radius: 50%;
    }
  }

  input {
    display: none;
  }

  input:checked ~ &__label {

    &::before,
    &::after {
      border-color: var(--yellow-color);
    }

    &::after {
      display: block;
      background-color: var(--yellow-color);
    }
  }
}
